# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = "merb_datamapper"
  s.version = "1.1.3"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Jason Toy", "Jonathan Stott"]
  s.date = "2011-05-03 00:00:00.000000000Z"
  s.description = "Merb plugin that provides support for datamapper"
  s.email = "jonathan.stott@gmail.com"
  s.extra_rdoc_files = ["README", "LICENSE", "TODO"]
  s.files = ["Generators", "Rakefile", "lib/generators/data_mapper_migration.rb", "lib/generators/data_mapper_model.rb", "lib/generators/data_mapper_resource_controller.rb", "lib/generators/templates/migration.rb", "lib/generators/templates/model.rb", "lib/generators/templates/model_migration.rb", "lib/generators/templates/resource_controller.rb", "lib/generators/templates/views/edit.html.erb", "lib/generators/templates/views/index.html.erb", "lib/generators/templates/views/new.html.erb", "lib/generators/templates/views/show.html.erb", "lib/merb_datamapper.rb", "lib/merb_datamapper/connection.rb", "lib/merb_datamapper/data_mapper_session.rb", "lib/merb_datamapper/database.yml.sample", "lib/merb_datamapper/merbtasks.rb", "lib/merb_datamapper/version.rb", "spec/connection_spec.rb", "spec/datamapper_id_map_controller.rb", "spec/datamapper_model.rb", "spec/datamapper_session_controller.rb", "spec/identity_map_spec.rb", "spec/session_spec.rb", "spec/session_store_spec.rb", "spec/spec_helper.rb", "spec/spec.opts", "README", "LICENSE", "TODO"]
  s.homepage = "http://github.com/merb/merb_datamapper"
  s.require_paths = ["lib"]
  s.rubygems_version = "1.3.7.1"
  s.summary = "Merb plugin that allows you to use datamapper with your merb app"

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<merb-core>, ["~> 1.1"])
      s.add_runtime_dependency(%q<dm-core>, [">= 1.0"])
      s.add_runtime_dependency(%q<dm-migrations>, [">= 1.0"])
      s.add_development_dependency(%q<rspec>, [">= 1.2.9"])
    else
      s.add_dependency(%q<merb-core>, ["~> 1.1"])
      s.add_dependency(%q<dm-core>, [">= 1.0"])
      s.add_dependency(%q<dm-migrations>, [">= 1.0"])
      s.add_dependency(%q<rspec>, [">= 1.2.9"])
    end
  else
    s.add_dependency(%q<merb-core>, ["~> 1.1"])
    s.add_dependency(%q<dm-core>, [">= 1.0"])
    s.add_dependency(%q<dm-migrations>, [">= 1.0"])
    s.add_dependency(%q<rspec>, [">= 1.2.9"])
  end
end
